## qwlroots 0.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.21)

project(QWlroots
    VERSION 0.0.1
    LANGUAGES CXX C)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

option(PREFER_QT_5 "Prefer to use Qt 5 even if we have Qt 6" OFF)
option(USE_WLROOTS_GIT "Use wlroots git version" OFF)
option(QWLROOTS_USE_PERCOMPILE_HEADERS "Use precompile headers to build qwlroots" OFF)

if(PREFER_QT_5)
    find_package(QT NAMES Qt5 REQUIRED COMPONENTS Core)
else()
    find_package(QT NAMES Qt6 QUIET COMPONENTS Core)
    if (NOT QT_FOUND)
        message(FATAL_ERROR "Not found Qt6, set `PREFER_QT_5` option if you want to use Qt5")
    endif()
endif()

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/")
include(PackageVersionHelper)
include(WaylandScannerHelpers)

# For Unix/Linux
include(GNUInstallDirs)

add_subdirectory(src)
enable_testing()
add_subdirectory(tests)
add_subdirectory(examples)

=== src/CMakeLists.txt ===
set(TARGET qwlroots)
set(CMAKE_NAME ${CMAKE_PROJECT_NAME})
set(CMAKE_INCLUDE_CURRENT_DIR ON)

add_compile_options(-Wall -Wextra -Werror=unused-variable -Werror=unused-parameter)

find_package(Qt${QT_VERSION_MAJOR}
    COMPONENTS
    Core
    REQUIRED
)

find_package(PkgConfig REQUIRED)

if (USE_WLROOTS_GIT)
    set(wlr wlroots-0.19)
    set(WLROOTS_MINIMUM_REQUIRED 0.19.0)
elseif (USE_WLROOTS_18)
    set(wlr wlroots-0.18)
    set(WLROOTS_MINIMUM_REQUIRED 0.18.0)
else ()
    set(wlr wlroots)
    set(WLROOTS_MINIMUM_REQUIRED 0.17.0)
endif()

pkg_search_module(WLROOTS REQUIRED IMPORTED_TARGET ${wlr}>=${WLROOTS_MINIMUM_REQUIRED})
pkg_search_module(WAYLAND_SERVER REQUIRED IMPORTED_TARGET wayland-server)
pkg_search_module(PIXMAN REQUIRED IMPORTED_TARGET pixman-1)
pkg_search_module(WAYLAND_PROTOCOLS REQUIRED wayland-protocols)
pkg_search_module(WLR_PROTOCOLS wlr-protocols)
pkg_search_module(XKBCOMMON REQUIRED IMPORTED_TARGET xkbcommon)

pkg_get_variable(WLR_HAVE_DRM_BACKEND ${wlr} have_drm_backend)
pkg_get_variable(WLR_HAVE_X11_BACKEND ${wlr} have_x11_backend)
pkg_get_variable(WLR_HAVE_LIBINPUT_BACKEND ${wlr} have_libinput_backend)
pkg_get_variable(WLR_HAVE_XWAYLAND ${wlr} have_xwayland)
pkg_get_variable(WLR_HAVE_GLES2_RENDERER ${wlr} have_gles2_renderer)
pkg_get_variable(WLR_HAVE_VULKAN_RENDERER ${wlr} have_vulkan_renderer)
pkg_get_variable(WLR_HAVE_GBM_ALLOCATOR ${wlr} have_gbm_allocator)
pkg_get_variable(WLR_HAVE_SESSION ${wlr} have_session)
setup_package_version_variables(WLROOTS)
include(CMakePackageConfigHelpers)
configure_file(${PROJECT_SOURCE_DIR}/src/cmake/qwconfig.h.in generate/qwconfig.h @ONLY)

message("wlroots version=${WLROOTS_VERSION}, major=${WLROOTS_VERSION_MAJOR}, minor=${WLROOTS_VERSION_MINOR}, patch=${WLROOTS_VERSION_PATCH}")

ws_generate(server wayland-protocols stable/xdg-shell/xdg-shell.xml xdg-shell-protocol)
ws_generate(server wayland-protocols unstable/fullscreen-shell/fullscreen-shell-unstable-v1.xml fullscreen-shell-unstable-v1-protocol)
ws_generate(server wayland-protocols unstable/tablet/tablet-unstable-v2.xml tablet-unstable-v2-protocol)
ws_generate(server wayland-protocols unstable/pointer-constraints/pointer-constraints-unstable-v1.xml pointer-constraints-unstable-v1-protocol)

set(HEADERS
    qwglobal.h
    qwobject.h
    qwbackend.h
    qwdisplay.h
    render/qwrenderer.h
    render/qwtexture.h
    render/qwallocator.h
    render/qwegl.h
    types/qwbuffer.h
    types/qwcompositor.h
    types/qwexportdmabufv1.h
    types/qwsubcompositor.h
    types/qwdatadevice.h
    types/qwdatacontrolv1.h
    types/qwdamagering.h
    types/qwdrm.h
    types/qwdrmleasev1.h
    types/qwoutputlayout.h
    types/qwscene.h
    types/qwseat.h
    types/qwprimaryselection.h
    types/qwswitch.h
    types/qwxdgshell.h
    types/qwcursor.h
    types/qwxcursormanager.h
    types/qwinputdevice.h
    types/qwtouch.h
    types/qwkeyboard.h
    types/qwpointer.h
    types/qwtablet.h
    types/qwtabletpad.h
    types/qwoutput.h
    types/qwxdgdecorationmanagerv1.h
    types/qwidleinhibitv1.h
    types/qwkeyboardgroup.h
    types/qwpresentation.h
    types/qwxdgforeignregistry.h
    types/qwxdgforeignv1.h
    types/qwxdgforeignv2.h
    types/qwviewporter.h
    types/qwxdgoutputv1.h
    types/qwxdgactivationv1.h
    types/qwpointerconstraintsv1.h
    types/qwtextinputv3.h
    types/qwtabletv2.h
    types/qwsinglepixelbufferv1.h
    types/qwsessionlockv1.h
    types/qwscreencopyv1.h
    types/qwrelativepointerv1.h
    types/qwprimaryselectionv1.h
    types/qwpointergesturesv1.h
    types/qwoutputmanagementv1.h
    types/qwlinuxdmabufv1.h
    types/qwinputmethodv2.h
    types/qwidlenotifyv1.h
    types/qwforeigntoplevelhandlev1.h
    types/qwvirtualkeyboardv1.h
    types/qwvirtualpointerv1.h
    types/qwgammacontorlv1.h
    types/qwfullscreenshellv1.h
    types/qwkeyboardshortcutsinhibitv1.h
    types/qwfractionalscalemanagerv1.h
    types/qwsecuritycontextmanagerv1.h
    types/qwoutputlayer.h
    types/qwtearingcontrolv1.h
    util/qwsignalconnector.h
    util/qwlogging.h
    util/qwbox.h
    interfaces/qwinterface.h
    interfaces/qwbackendinterface.h
    interfaces/qwbufferinterface.h
    interfaces/qwrendererinterface.h
    interfaces/qwoutputinterface.h
    interfaces/qwkeyboardinterface.h
    ${CMAKE_CURRENT_BINARY_DIR}/generate/qwconfig.h
    interfaces/qwswitchinterface.h
    interfaces/qwpointerinterface.h
    interfaces/qwtabletpadinterface.h
)

ws_generate(
    server
    wayland-protocols
    staging/content-type/content-type-v1.xml
    content-type-v1-protocol
)
ws_generate(
    server
    wayland-protocols
    staging/cursor-shape/cursor-shape-v1.xml
    cursor-shape-v1-protocol
)
ws_generate(
    server
    wayland-protocols
    staging/tearing-control/tearing-control-v1.xml
    tearing-control-v1-protocol
)
ws_generate(
    server
    wayland-protocols
    stable/tablet/tablet-v2.xml
    tablet-v2-protocol
)

list(APPEND HEADERS
    render/qwswapchain.h
    types/qwshm.h
    types/qwcontenttypev1.h
    types/qwcursorshapev1.h
)
if(WLR_HAVE_XWAYLAND)
    list(APPEND HEADERS
        types/qwxwaylandshellv1.h
    )
endif()

if (WLR_HAVE_XWAYLAND)
    list(APPEND HEADERS
        types/qwxwayland.h
        types/qwxwaylandsurface.h
        types/qwxwaylandserver.h
    )
endif()

if (WLR_PROTOCOLS_FOUND)
    ws_generate(server wlr-protocols unstable/wlr-layer-shell-unstable-v1.xml wlr-layer-shell-unstable-v1-protocol)
    ws_generate(server wlr-protocols unstable/wlr-output-power-management-unstable-v1.xml wlr-output-power-management-unstable-v1-protocol)
    set(PROTOCOL_HEADERS
        types/qwlayershellv1.h
        types/qwoutputpowermanagementv1.h
    )
    list(APPEND HEADERS ${PROTOCOL_HEADERS})
    list(APPEND SOURCES ${PROTOCOL_SOURCES})
endif ()

add_library(${TARGET}
    STATIC
    ${SOURCES}
    ${HEADERS}
    qwobject.cpp
    qwbackend.cpp
)
add_library(QWlroots::QWlroots ALIAS ${TARGET})

set_target_properties(${TARGET}
    PROPERTIES
        VERSION ${CMAKE_PROJECT_VERSION}
        SOVERSION ${PROJECT_VERSION_MAJOR}
        PUBLIC_HEADER "${HEADERS}"
        EXPORT_NAME ${CMAKE_NAME}
        POSITION_INDEPENDENT_CODE ON
)

target_link_libraries(${TARGET}
    PUBLIC
    Qt${QT_VERSION_MAJOR}::Core
    PkgConfig::WLROOTS
    PkgConfig::WAYLAND_SERVER
    PkgConfig::PIXMAN
    PkgConfig::XKBCOMMON
)

if (QWLROOTS_USE_PERCOMPILE_HEADERS)
    target_precompile_headers(${TARGET}
        PRIVATE
        ${HEADERS}
    )
endif()

target_compile_definitions(${TARGET}
    PRIVATE
    QT_NO_SIGNALS_SLOTS_KEYWORDS
    QWLROOTS_LIBRARY
)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

target_include_directories(${TARGET}
    PUBLIC
        $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/generate>
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/render>
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/types>
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/util>
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/interfaces>
)

target_include_directories(${TARGET}
    INTERFACE
        $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${TARGET}>
)

target_link_directories(${TARGET}
    INTERFACE
        $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
        $<INSTALL_INTERFACE:${CMAKE_INSTALL_LIBDIR}>
)

install(TARGETS ${TARGET}
    EXPORT ${CMAKE_NAME}Targets
    LIBRARY
        DESTINATION ${CMAKE_INSTALL_LIBDIR}
    PUBLIC_HEADER
        COMPONENT Development
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${TARGET}
)

include(${PROJECT_SOURCE_DIR}/cmake/Helpers.cmake)
add_cmake_module(${CMAKE_NAME} ${TARGET} ${CMAKE_INSTALL_FULL_INCLUDEDIR}/${TARGET})
add_pkgconfig_module(${TARGET} ${TARGET} ${CMAKE_INSTALL_FULL_INCLUDEDIR}/${TARGET}
    "${wlr} = ${WLROOTS_VERSION}, pixman-1, wayland-protocols, wlr-protocols, xkbcommon, Qt${QT_VERSION_MAJOR}Core"
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_NAME}Config.cmake
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${CMAKE_NAME}
)

install(FILES
    ${PROJECT_SOURCE_DIR}/cmake/WaylandScannerHelpers.cmake
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${CMAKE_NAME}
)

install(EXPORT ${CMAKE_NAME}Targets
    FILE ${CMAKE_NAME}Targets.cmake
    NAMESPACE ${CMAKE_NAME}::
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${CMAKE_NAME}
)

=== examples/tinywl/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.21..3.27)
project(tinywl)

set(TARGET tinywl)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

if(PROJECT_IS_TOP_LEVEL) # if build as a separated project
    set(CMAKE_CXX_STANDARD 20)
    set(CMAKE_AUTOMOC ON)
    set(CMAKE_AUTORCC ON)
    find_package(QWlroots REQUIRED)
endif()

find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Gui REQUIRED)

set(SOURCES main.cpp)

add_executable(${TARGET}
    ${SOURCES}
)

target_link_libraries(${TARGET}
    PRIVATE
    QWlroots::QWlroots
    Qt${QT_VERSION_MAJOR}::Gui
)

## qwlroots 0.2.0-alpha2+git+20240808

=== debian/changelog ===
qwlroots (0.2.0-alpha2+git+20240808-deepin) unstable; urgency=medium

 * Sync upstream code

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Thu, 08 Aug 2024 10:42:06 +0800

qwlroots (0.2.0-alpha2+git+20240626-deepin) unstable; urgency=medium

 * Sync upstream code

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Wed, 26 Jun 2024 18:42:06 +0800

qwlroots (0.2.0-alpha2) unstable; urgency=medium

    * Sync upstream code

   -- Dingyuan Zhang <zhangdingyuan@deepin.org>  Thu, 20 Jun 2024 19:00:53 +0800

qwlroots (0.2.0-alpha1) unstable; urgency=medium

    * Sync upstream code

   -- Dingyuan Zhang <zhangdingyuan@deepin.org>  Tue, 28 May 2024 13:07:53 +0800

qwlroots (0.0+git20231208-0deepin) UNSTABLE; urgency=medium

  * fix build with wlroots 0.17.0

 -- rewine <luhongxu@deepin.org>  Fri, 24 Nov 2023 17:28:54 +0800

qwlroots (0.0+git20231027-0deepin) UNSTABLE; urgency=medium

  * Continuous release.

 -- rewine <rewine@beige.nixos>  Fri, 27 Oct 2023 03:02:40 +0000

qwlroots (0.0+git20231016-0deepin) UNSTABLE; urgency=medium

  * Initial continuous release

 -- rewine <lhongxu@outlook.com>  Wed, 19 Jul 2023 03:36:12 +0000

=== debian/control ===
Source: qwlroots
Priority: optional
Maintainer: rewine <lhongxu@outlook.com>
Build-Depends: debhelper-compat (= 13),
               pkg-config,
               cmake,
               qt6-base-private-dev,
               qt6-base-dev-tools,
               wayland-protocols,
	       wlr-protocols,
               libwlroots-dev (>=0.17.0),
               libpixman-1-dev,
               libxcb-ewmh-dev,
	       libdrm-dev
Standards-Version: 4.6.0
Section: libs
Homepage: https://github.com/vioken/qwlroots.git
#Vcs-Browser: https://salsa.debian.org/debian/qwlroots
#Vcs-Git: https://salsa.debian.org/debian/qwlroots.git
Rules-Requires-Root: no

Package: qwlroots
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
  ${misc:Depends},
  libwlroots-dev
Replaces: libqwlroots1
Description: Qt and QML bindings for wlroots
  qwlroots is a binding of wlroots, which provides a Qt style development interface.
 It aims to simplify wlroots API calling methods with Qt, and serve the needs of
 calling wlroots within Qt projects.
 .
 This package contains the development headers and static library.

## qwlroots 0.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,8 @@
 option(PREFER_QT_5 "Prefer to use Qt 5 even if we have Qt 6" OFF)
 option(USE_WLROOTS_GIT "Use wlroots git version" OFF)
 option(QWLROOTS_USE_PERCOMPILE_HEADERS "Use precompile headers to build qwlroots" OFF)
+option(DISABLE_WLR_PROTOCOLS "Disable support for wlr protocols, such as wlr-layer-shell" OFF)
+option(DISABLE_XWAYLAND "Disable the xwayland support" OFF)
 
 if(PREFER_QT_5)
     find_package(QT NAMES Qt5 REQUIRED COMPONENTS Core)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -23,12 +23,11 @@
     set(WLROOTS_MINIMUM_REQUIRED 0.17.0)
 endif()
 
-pkg_search_module(WLROOTS REQUIRED IMPORTED_TARGET ${wlr}>=${WLROOTS_MINIMUM_REQUIRED})
-pkg_search_module(WAYLAND_SERVER REQUIRED IMPORTED_TARGET wayland-server)
-pkg_search_module(PIXMAN REQUIRED IMPORTED_TARGET pixman-1)
-pkg_search_module(WAYLAND_PROTOCOLS REQUIRED wayland-protocols)
-pkg_search_module(WLR_PROTOCOLS wlr-protocols)
-pkg_search_module(XKBCOMMON REQUIRED IMPORTED_TARGET xkbcommon)
+pkg_check_modules(WLROOTS REQUIRED IMPORTED_TARGET ${wlr}>=${WLROOTS_MINIMUM_REQUIRED})
+pkg_check_modules(WAYLAND_SERVER REQUIRED IMPORTED_TARGET wayland-server)
+pkg_check_modules(PIXMAN REQUIRED IMPORTED_TARGET pixman-1)
+pkg_check_modules(WAYLAND_PROTOCOLS REQUIRED wayland-protocols)
+pkg_check_modules(XKBCOMMON REQUIRED IMPORTED_TARGET xkbcommon)
 
 pkg_get_variable(WLR_HAVE_DRM_BACKEND ${wlr} have_drm_backend)
 pkg_get_variable(WLR_HAVE_X11_BACKEND ${wlr} have_x11_backend)
@@ -42,6 +41,24 @@
 include(CMakePackageConfigHelpers)
 configure_file(${PROJECT_SOURCE_DIR}/src/cmake/qwconfig.h.in generate/qwconfig.h @ONLY)
 
+if ((NOT WLR_HAVE_XWAYLAND) AND (NOT DISABLE_XWAYLAND))
+    message(FATAL_ERROR "wlroots lacks support for xwayland, and `DISABLE_XWAYLAND` set to OFF!")
+endif()
+
+if (DISABLE_WLR_PROTOCOLS)
+    set(WLR_PROTOCOLS_CMAKE_CONFIG_INIT "") # for QWlrootsConfig.cmake.in
+else()
+    pkg_check_modules(WLR_PROTOCOLS wlr-protocols)
+    if (NOT WLR_PROTOCOLS_FOUND)
+        message(FATAL_ERROR "wlr-protocols not found, and `DISABLE_WLR_PROTOCOLS` set to OFF!")
+    endif()
+    set(WLR_PROTOCOLS_CMAKE_CONFIG_INIT [[
+pkg_check_modules(WLR_PROTOCOLS  wlr-protocols)
+ws_generate(server wlr-protocols unstable/wlr-layer-shell-unstable-v1.xml wlr-layer-shell-unstable-v1-protocol)
+ws_generate(server wlr-protocols unstable/wlr-output-power-management-unstable-v1.xml wlr-output-power-management-unstable-v1-protocol)
+    ]])
+endif()
+
 message("wlroots version=${WLROOTS_VERSION}, major=${WLROOTS_VERSION_MAJOR}, minor=${WLROOTS_VERSION_MINOR}, patch=${WLROOTS_VERSION_PATCH}")
 
 ws_generate(server wayland-protocols stable/xdg-shell/xdg-shell.xml xdg-shell-protocol)
@@ -58,6 +75,7 @@
     render/qwtexture.h
     render/qwallocator.h
     render/qwegl.h
+    render/qwswapchain.h
     types/qwbuffer.h
     types/qwcompositor.h
     types/qwexportdmabufv1.h
@@ -115,6 +133,9 @@
     types/qwsecuritycontextmanagerv1.h
     types/qwoutputlayer.h
     types/qwtearingcontrolv1.h
+    types/qwshm.h
+    types/qwcontenttypev1.h
+    types/qwcursorshapev1.h
     util/qwsignalconnector.h
     util/qwlogging.h
     util/qwbox.h
@@ -155,27 +176,16 @@
     tablet-v2-protocol
 )
 
-list(APPEND HEADERS
-    render/qwswapchain.h
-    types/qwshm.h
-    types/qwcontenttypev1.h
-    types/qwcursorshapev1.h
-)
-if(WLR_HAVE_XWAYLAND)
+if (NOT DISABLE_XWAYLAND)
     list(APPEND HEADERS
         types/qwxwaylandshellv1.h
-    )
-endif()
-
-if (WLR_HAVE_XWAYLAND)
-    list(APPEND HEADERS
         types/qwxwayland.h
         types/qwxwaylandsurface.h
         types/qwxwaylandserver.h
     )
 endif()
 
-if (WLR_PROTOCOLS_FOUND)
+if (NOT DISABLE_WLR_PROTOCOLS)
     ws_generate(server wlr-protocols unstable/wlr-layer-shell-unstable-v1.xml wlr-layer-shell-unstable-v1-protocol)
     ws_generate(server wlr-protocols unstable/wlr-output-power-management-unstable-v1.xml wlr-output-power-management-unstable-v1-protocol)
     set(PROTOCOL_HEADERS

=== tests/qwobject_test/CMakeLists.txt ===
set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(Qt${QT_VERSION_MAJOR}
    COMPONENTS
    Core
    Test
    REQUIRED
)

add_executable(test_qwobject
    wlr_abc.h
    wlr_abc.cpp
    qwabc.h
    test_qwobject.cpp
)

add_test(NAME QWObject COMMAND test_qwobject)

target_link_libraries(test_qwobject
PUBLIC
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::Test
PRIVATE
    qwlroots
)

=== debian/changelog ===
qwlroots (0.3.0-deepin+1) unstable; urgency=medium

 * Sync upstream code

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Fri, 23 Aug 2024 10:01:00 +0800

## qwlroots 0.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.21)
 
 project(QWlroots
-    VERSION 0.0.1
+    VERSION 0.5.3
     LANGUAGES CXX C)
 
 set(CMAKE_CXX_STANDARD 20)
@@ -14,6 +14,7 @@
 
 option(PREFER_QT_5 "Prefer to use Qt 5 even if we have Qt 6" OFF)
 option(USE_WLROOTS_GIT "Use wlroots git version" OFF)
+option(USE_WLROOTS_17 "Use wlroots 0.17 version" OFF)
 option(QWLROOTS_USE_PERCOMPILE_HEADERS "Use precompile headers to build qwlroots" OFF)
 option(DISABLE_WLR_PROTOCOLS "Disable support for wlr protocols, such as wlr-layer-shell" OFF)
 option(DISABLE_XWAYLAND "Disable the xwayland support" OFF)

=== debian/changelog ===
qwlroots (0.5.3) unstable; urgency=medium

  * Implement qw_idle_inhibitor_v1
  * Do not explicitly build static lib

 -- rewine <luhongxu@deepin.org>  Thu, 20 Feb 2025 17:40:48 +0800

qwlroots (0.5.2) unstable; urgency=medium

  * bump version to 0.5.2

 -- Groveer <guoyao@uniontech.com>  Tue, 26 Nov 2024 18:55:56 +0800

qwlroots (0.5.1) unstable; urgency=medium

  * bump version to 0.5.1

 -- Groveer <guoyao@uniontech.com>  Fri, 22 Nov 2024 18:04:26 +0800

qwlroots (0.5.0) unstable; urgency=medium

  * bump version to 0.5.0

 -- Groveer <guoyao@uniontech.com>  Thu, 21 Nov 2024 16:58:34 +0800

qwlroots (0.4.1) UNRELEASED; urgency=medium

  * bump version to 0.4.1

 -- Groveer <guoyao@uniontech.com>  Mon, 11 Nov 2024 18:14:56 +0800

qwlroots (0.0.1) UNRELEASED; urgency=medium

  * Initial continuous release

 -- rewine <lhongxu@outlook.com>  Wed, 19 Jul 2023 03:36:12 +0000

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@


# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
